net.i2p.router.util

## Class RFC822Date

- java.lang.Object
- - net.i2p.router.util.RFC822Date

-     public abstract class RFC822Date
      extends Object

  Moved from NewsFetcher
  Since:
    0.8.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RFC822Date()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `parse822Date(String s)` new Date(String foo) is deprecated, so let's do this the hard way
    `static String` | `to822Date(long t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RFC822Date

          public RFC822Date()

  - ### Method Detail

    - #### parse822Date

          public static long parse822Date(String s)

      new Date(String foo) is deprecated, so let's do this the hard way
      Parameters:
        `s` - non-null
      Returns:
        -1 on failure

    - #### to822Date

          public static String to822Date(long t)

      Since:
        0.8.2